Subject: Re: bug#15112: 24.3; package.el byte compile autoloads

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Jan 2021 12:56:15 -0600

tags 15112 + wontfix
close 15112
thanks

Michael Albinus <[email-masked]> writes:

>>> Anyway, I don't believe we'll see a performance boost after
>>> byte-compiling loaddef files. They just contain function and variable
>>> declarations, no implementation (but the initial values of variables).
>>>
>>> There are exceptions like in tramp-loaddefs.el, but they still don't
>>> count wrt performance, I believe.
>>
>> This would be my guess too.  It seems like more trouble than it's worth.
>
> So I recommend to close the bug. Maybe you'll wait some few days whether
> somebody objects.

No further comments within 5 weeks, so I'm closing this as wontfix.